Aix (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.aix.Aix interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys.aix
Interface Aix

All Superinterfaces:
  CIMSystem, ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, OperatingSystem, java.io.Serializable, Unix, Version

    public interface Aix

extends Unix

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.sys.OperatingSystem
`IBM_COPYRIGHT`

Method Summary
`AixKernelDriver[]` | `getDrivers()`
`boolean` | `hasDrivers()`
`void` | `setDrivers(AixKernelDriver[] drivers)`

Methods inherited from interface com.collation.platform.model.topology.sys.unix.Unix
`getArchitecture, getCalloutTableSize, getClockTicksPerSecond, getKernelBitSize, getLibcName, getLibcVersion, getMaxAsyncIOPriorityDecrease, getMaxGroupsPerUser, getMaxLoginNameLen, getMaxMsgPrioritiesSupported, getMaxOpenFilesPerProcess, getMaxOpenMsgQueueDescriptorsPerProcess, getMaxPasswordLen, getMaxPIDValue, getMaxProcesses, getMaxProcessesPerUID, getMaxProcessesPerUser, getMaxQueuedAsyncIORequests, getMaxQueuedSignals, getMaxStdioStreamsPerProcess, getMaxTimersPerProcess, getMaxUsers, getNumPhysicalMemFreePages, getNumPhysicalMemPages, getOSDistribution, getPatchesInstalled, getProcessMemLocking, getSupportAsyncIO, getSupportFsync, getSupportMemProtection, getSupportMsgPassing, getSupportPOSIXThreads, getSupportProcessScheduling, getSupportRangeMemLocking, getSupportRealtimeSignals, getSupportSharedMemObjects, getSystemMemPageSize, getVirtualAddressCacheSize, hasArchitecture, hasCalloutTableSize, hasClockTicksPerSecond, hasKernelBitSize, hasLibcName, hasLibcVersion, hasMaxAsyncIOPriorityDecrease, hasMaxGroupsPerUser, hasMaxLoginNameLen, hasMaxMsgPrioritiesSupported, hasMaxOpenFilesPerProcess, hasMaxOpenMsgQueueDescriptorsPerProcess, hasMaxPasswordLen, hasMaxPIDValue, hasMaxProcesses, hasMaxProcessesPerUID, hasMaxProcessesPerUser, hasMaxQueuedAsyncIORequests, hasMaxQueuedSignals, hasMaxStdioStreamsPerProcess, hasMaxTimersPerProcess, hasMaxUsers, hasNumPhysicalMemFreePages, hasNumPhysicalMemPages, hasOSDistribution, hasPatchesInstalled, hasProcessMemLocking, hasSupportAsyncIO, hasSupportFsync, hasSupportMemProtection, hasSupportMsgPassing, hasSupportPOSIXThreads, hasSupportProcessScheduling, hasSupportRangeMemLocking, hasSupportRealtimeSignals, hasSupportSharedMemObjects, hasSystemMemPageSize, hasVirtualAddressCacheSize, setArchitecture, setCalloutTableSize, setClockTicksPerSecond, setKernelBitSize, setLibcName, setLibcVersion, setMaxAsyncIOPriorityDecrease, setMaxGroupsPerUser, setMaxLoginNameLen, setMaxMsgPrioritiesSupported, setMaxOpenFilesPerProcess, setMaxOpenMsgQueueDescriptorsPerProcess, setMaxPasswordLen, setMaxPIDValue, setMaxProcesses, setMaxProcessesPerUID, setMaxProcessesPerUser, setMaxQueuedAsyncIORequests, setMaxQueuedSignals, setMaxStdioStreamsPerProcess, setMaxTimersPerProcess, setMaxUsers, setNumPhysicalMemFreePages, setNumPhysicalMemPages, setOSDistribution, setPatchesInstalled, setProcessMemLocking, setSupportAsyncIO, setSupportFsync, setSupportMemProtection, setSupportMsgPassing, setSupportPOSIXThreads, setSupportProcessScheduling, setSupportRangeMemLocking, setSupportRealtimeSignals, setSupportSharedMemObjects, setSystemMemPageSize, setVirtualAddressCacheSize`

Methods inherited from interface com.collation.platform.model.topology.sys.OperatingSystem
`getBootFileSystem, getBootTime, getCharset, getConfigContents, getCurrentTime, getDNSResolveEntries, getFQDN, getInstalledSoftware, getKernelArchitecture, getKernelModulesRawData, getKernelVersion, getLocale, getName, getOSConfidence, getOsId, getOSMode, getOSName, getOSVersion, getPackagesInstalledRawData, getParent, getPatchesInstalledRawData, getSoftwareComponents, getSystemGuid, getVirtualMemorySize, getZReportFiles, hasBootFileSystem, hasBootTime, hasCharset, hasConfigContents, hasCurrentTime, hasDNSResolveEntries, hasFQDN, hasInstalledSoftware, hasKernelArchitecture, hasKernelModulesRawData, hasKernelVersion, hasLocale, hasName, hasOSConfidence, hasOsId, hasOSMode, hasOSName, hasOSVersion, hasPackagesInstalledRawData, hasParent, hasPatchesInstalledRawData, hasSoftwareComponents, hasSystemGuid, hasVirtualMemorySize, hasZReportFiles, setBootFileSystem, setBootTime, setCharset, setConfigContents, setCurrentTime, setDNSResolveEntries, setFQDN, setInstalledSoftware, setKernelArchitecture, setKernelModulesRawData, setKernelVersion, setLocale, setName, setOSConfidence, setOsId, setOSMode, setOSName, setOSVersion, setPackagesInstalledRawData, setParent, setPatchesInstalledRawData, setSoftwareComponents, setSystemGuid, setVirtualMemorySize, setZReportFiles`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.core.Version
`getBuildLevel, getLevel, getMajorVersion, getModifier, getRelease, getVersionString, hasBuildLevel, hasLevel, hasMajorVersion, hasModifier, hasRelease, hasVersionString, setBuildLevel, setLevel, setMajorVersion, setModifier, setRelease, setVersionString`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getDrivers

    AixKernelDriver[] getDrivers()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"

### setDrivers

    void setDrivers(AixKernelDriver[] drivers)

### hasDrivers

    boolean hasDrivers()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD